#version 330 core
out vec4 fragColor;


in vec2 texcoord;


#include "/lib/Head/Common.inc"
#include "/lib/Surface/SSGI.glsl"


void main(){
vec2 uv = texcoord;
vec3 ssgi = CalculateSSGI(uv);
// Возвращаем вклад GI в RGB (альфа при необходимости можно заполнять нулями)
fragColor = vec4(ssgi, 1.0);
}